Subject: Re: [RFC] git rm -u

From: Eric James Michael Ritz <[email-masked]>
Date: Sat, 19 Jan 2013 17:01:01 -0500

On 01/19/2013 04:49 PM, Jonathan Nieder wrote:
 > Eric James Michael Ritz wrote:
 >
 >> When I came to my senses and realized that does not work I began to
 >> wonder if `git rm -u` should exist.  If any deleted, tracked files
 >> are not part of the index to commit then `git rm -u` would add that
 >> change to the index.
 >
 > I like it.  If you have time to write such a patch, I'll be happy to
 > read it.

Thank you for the offer Jonathan.  I must go ahead and apologize for
my rusty ability with C; I haven’t needed to use the language in
years.  But I will familiarize myself with the Git source and try to
put a patch (or series of patches) together over the next week or two.

--
ejmr
南無妙法蓮華經